<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for APIRequest StructType
 * Meta information extracted from the WSDL
 * - documentation: All requests must extend abstractRequest.
 * @subpackage Structs
 */
abstract class APIRequest extends AbstractStructBase
{
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for APIRequest
     * @uses APIRequest::setSequence()
     * @param int $sequence
     */
    public function __construct($sequence = null)
    {
        $this
            ->setSequence($sequence);
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\APIRequest
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
